package p12_kolekcje.zbieranie_danych;

import java.util.Arrays;
import java.util.Scanner;

public class P1_Tablica {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);

        System.out.print("Podaj rozmiar tablicy: ");
        int size = scanner.nextInt();
        scanner.nextLine();
        String[] tablica = new String[size];
        
        for(int i = 0; i < size; i++) {
            System.out.print("Podaj imię: ");
            tablica[i] = scanner.nextLine();
        }
        
        System.out.println("Cała tablica: " + Arrays.toString(tablica));
        System.out.println();
        
        System.out.println("Podawaj liczby - numery pozycji. Aby zakończyć, wpisz -1");
        while(true) {
            System.out.print("nr: ");
            int nr = scanner.nextInt();
            if(nr == -1) break;
            try {
                System.out.printf("Imię nr %d = %s\n", nr, tablica[nr]);
            } catch (IndexOutOfBoundsException e) {
                System.out.println("błąd! " + e);
            }
        }
        System.out.println("KONIEC");
    }

}
